<?php
/**
 * Page Custom Metabox.
 *
 * @package Armada
 * @since Armada 1.0
 */
 
return array(
	'id'          => 'page',
	'types'       => array( 'page' ),
	'title'       => __( 'Page Options', PLUGIN_NAME ),
	'priority'    => 'high',
	'mode'        => WPALCHEMY_MODE_EXTRACT,
	'template'    => array(
		array(
			'name'      	=> 'sub',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Page sub title', PLUGIN_NAME ),
			'description'	=> __( 'Add page sub title.', PLUGIN_NAME ),
			'default' 		=> '',
		),
		array(
			'name'      	=> 'picture',
			'type'      	=> 'upload',
			'label' 		=> __('Page Picture', PLUGIN_NAME ),
			'description' 	=> __('Select page picture.', PLUGIN_NAME ),
		),
		array(
			'type' 			=> 'radiobutton',
			'name' 			=> 'layout',
			'label' 		=> __( 'Page Layout', PLUGIN_NAME ),
			'description'	=> __( 'Select page layout (Full, Left Sidebar or Right Sidebar).', PLUGIN_NAME ),
			'default' 		=> 'content-full',
			'items' 		=> array(
				array(
					'value' => 'content-builder',
					'label' => __( 'Page Builder', PLUGIN_NAME ),
				),
				array(
					'value' => 'content-full',
					'label' => __( 'Full Content', PLUGIN_NAME ),
				),
				array(
					'value' => 'content-sidebar-left',
					'label' => __( 'Left Sidebar', PLUGIN_NAME ),
				),
				array(
					'value' => 'content-sidebar-right',
					'label' => __( 'Right Sidebar', PLUGIN_NAME ),
				),
			),
		),
		array(
			'name' 			=> 'slider',
			'type' 			=> 'radiobutton',
			'label' 		=> __( 'Slider type', PLUGIN_NAME ),
			'description'	=> __( 'Select page slider (slider or static).', PLUGIN_NAME ),
			'items' => array(
				array(
					'value' => 'slider',
					'label' => __( 'Slider', PLUGIN_NAME ),
				),
				array(
					'value' => 'static',
					'label' => __( 'Static', PLUGIN_NAME ),
				),
			),
			'default' => array(
				'static',
			),
		),
		array(
			'name'      	=> 'slider_category',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Category', PLUGIN_NAME ),
			'description'	=> __( 'Add slider category.', PLUGIN_NAME ),
			'default' 		=> '',
		),
		array(
			'type' 			=> 'select',
			'name' 			=> 'sidebar_category',
			'label' 		=> __( 'Sidebar', PLUGIN_NAME ),
			'description'	=> __( 'Select sidebar.', PLUGIN_NAME ),
			'items' 		=> array(
				array(
					'value' => 'Index Sidebar',
					'label' => __( 'Index Sidebar', PLUGIN_NAME ),
				),
				array(
					'value' => 'Page Sidebar',
					'label' => __( 'Page Sidebar', PLUGIN_NAME ),
				),
				array(
					'value' => 'Single Sidebar',
					'label' => __( 'Index Sidebar', PLUGIN_NAME ),
				),
				array(
					'value' => 'Footer',
					'label' => __( 'Footer', PLUGIN_NAME ),
				),
				array(
					'value' => 'Shop Sidebar',
					'label' => __( 'Shop Sidebar', PLUGIN_NAME ),
				),
				
				array(
					'value' => 'Custom Sidebar #1',
					'label' => __( 'Custom Sidebar #1', PLUGIN_NAME ),
				),
				array(
					'value' => 'Custom Sidebar #2',
					'label' => __( 'Custom Sidebar #2', PLUGIN_NAME ),
				),
				array(
					'value' => 'Custom Sidebar #3',
					'label' => __( 'Custom Sidebar #3', PLUGIN_NAME ),
				),
				array(
					'value' => 'Custom Sidebar #4',
					'label' => __( 'Custom Sidebar #4', PLUGIN_NAME ),
				),
				array(
					'value' => 'Custom Sidebar #5',
					'label' => __( 'Custom Sidebar #5', PLUGIN_NAME ),
				),
			),
			'default' => array( 
				'Page Sidebar',
			),
		),
	),
);
